Assignee:

Category: GUI

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 17890

Description

I noticed a small issue with the spin buttons e.g. in the style dialog when you try to adjust the size of a outline etc. :

If you write 0,5 everything is fine, but if you add 0.5 it turns into 5,000 which is logical as it doesn't understands point as seperator. But I

don't see a reason why we shouldn't allow comma and point for adding the values to improve usability and the I18n spririt. IMHO this

avoids confusion as the user has to open the dialog again after updating the rendering etc.

History

#1 - 2014-01-01 04:50 AM - Nathan Woodrow

The separator is based on the users locale.  The , is a thousands separator for me and just typing 0.5 works fine. 5.0 is 5000 in a different locale.

#2 - 2014-01-06 04:43 PM - Jürgen Fischer

- Subject changed from Style size widget isn't seperator agnositc , . to Style size widget isn't separator agnostic , .

#3 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#4 - 2018-09-04 01:50 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- Description updated

Fixed in 3.2
